org.codehaus.groovy.tools.gse

## Class StringSetMap

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<K,V>
    - - java.util.LinkedHashMap<String,Set<String>>
      - - org.codehaus.groovy.tools.gse.StringSetMap

- All Implemented Interfaces:
    Serializable, Cloneable, Map<String,Set<String>>

      public class StringSetMap
      extends LinkedHashMap<String,Set<String>>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringSetMap()`
    `StringSetMap(StringSetMap other)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<String>` | `get(Object o)`
    `void` | `makeTransitiveHull()`

    - ### Methods inherited from class java.util.LinkedHashMap

      `clear, containsValue, removeEldestEntry`

    - ### Methods inherited from class java.util.HashMap

      `clone, containsKey, entrySet, isEmpty, keySet, put, putAll, remove, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `containsKey, entrySet, equals, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

- - ### Constructor Detail

    - #### StringSetMap

          public StringSetMap()

    - #### StringSetMap

          public StringSetMap(StringSetMap other)

  - ### Method Detail

    - #### get

          public Set<String> get(Object o)

      Specified by:
        `get` in interface `Map<String,Set<String>>`
      Overrides:
        `get` in class `LinkedHashMap<String,Set<String>>`

    - #### makeTransitiveHull

          public void makeTransitiveHull()